package com.hikcreate.update_hbase.service.impl;

import com.hikcreate.update_hbase.Repo.SurveilWkRespository;
import com.hikcreate.update_hbase.dao.SurveilMapper;
import com.hikcreate.update_hbase.entity.SurveilWk;
import com.hikcreate.update_hbase.service.SurveilWkServer;
import com.hikcreate.update_hbase.utils.EsUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import java.util.List;
import java.util.Optional;
@Component
public class SurveilWkServerIImpl implements SurveilWkServer {
    @Autowired
    private SurveilMapper surveilMapper;
    @Autowired
    private SurveilWkRespository surveilRepository;
    @Value("${hbase.es.surveilWk}")
    private String hbaseTableStr;
    @Autowired
    private EsUtils esUtils;
    @Value("${hbase.zookeeper.property.clientPort}")
    private String hbaseAddress;
    @Value("${hbase.zookeeper.quorum}")
    private String hbaseZkQuorum;

    private static Logger logger = LoggerFactory.getLogger(VehicleServiceImpl.class);

    @Override
    public void insertSurveilByDay(String day) {
                try {
                    List<SurveilWk> vmList = surveilMapper.insertSurveilByDay(day);
                    int count=0;
                    for (SurveilWk surveil : vmList) {
                        Optional<SurveilWk> byId = surveilRepository.findById(surveil.getXh());
                        if (byId.isPresent() && byId.get().getGxsj().compareTo(surveil.getGxsj()) >= 0) {
                            continue;
                        }else {
                            surveilRepository.save(surveil);
                           count +=1;
                        }
                    }
                    logger.info("同步数据:"+vmList.size()+":"+count);

                } catch (Exception e) {
                    e.printStackTrace();
                }

        }
}
